<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 18.10.2010
 * created by     : author
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : author
 */
/***/
require_once 'Hpls/Controller/DebugAbstract.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since ??
 */
class Debug_IndexController extends Hpls_Controller_DebugAbstract {

	public function indexAction() {
	
	}

	public function sessionviewAction() {
		$this->view->assign('session_options', Hpls_Debug::print_r(Zend_Session::getOptions()));
		
		$session = Hpls_Application::i()->getSession('HMT');
		$session->hallo = "new one";
		$session->ooo += 1;
		$data = array();
		foreach (Zend_Session::getIterator() as $it) {
			$data[] = $it;
		}
		foreach ($session->getIterator() as $index => $value) {
			$data['HMT->' . $index] = $value;
		}
		$this->view->assign('sessionData', Hpls_Debug::print_r($_SESSION));
	}

	public function logsettingsAction() {
		if ($this->_request->isPost()) {
			$params = $this->_request->getParams();
			$values = array();
			foreach ($params as $k => $v) {
				$matches = array();
				if (preg_match('/(.+)-field$/i', $k, $matches) > 0) {
					
					//					if ($v > 0) {
					$values[$matches[1]] = $v;
				
		//					}
				}
			}
			
			require_once 'Hpls/Config/Writer/Ini.php';
			$writer = new Hpls_Config_Writer_Ini();
			$writer->setRenderquotes(false);
			
			$writer->write(Hpls_Application::i()->getVariableConfigDir().'/debug.ini', new Zend_Config(array(
					'debug' => $values )));
		}
		
		$debugsettings =  Hpls_Utils::readConfigIniCascade('debug.ini')->toArray();
		$debugsettings = $debugsettings['debug'];
		ksort($debugsettings);
		$this->view->debugsettings = $debugsettings;
	}
}