<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="de">
{* Smarty *}
<head>
	<meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
	<link rel="Shortcut Icon" href="{$themeUrl}/favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="{$themeUrl}/css/base.css" media="screen, projection" type="text/css" />
	<title>Heinlein Mailtrace - Es trat ein Fehler auf.</title>
</head>
<body>
	<div id="page">
		<div id="topbar">
		    	<h1>Heinlein Support</h1>
			<div id="nav">
				<div class="inside">
				
<div id="workHeader" class="workHeader">
	<ul>
				<li class="tab_left" id="tab_newsearch"><a href="{$baseUrl}/mailtrace"><span>{lc}new_search{/lc}</span></a></li>
				<li class="active" id="tab_error"><a><span>{lc}error{/lc}</span></a></li>
	</ul>
</div>
				</div>
			</div>
		</div>
		<div id="navColumn">
			{* subnav tabName=$tabName *}
			{* {menu type='side'} *}
			{* include file='_includes/sideMenu.tpl' *}
			<h3>Mailtrace</h3>
			<ul>
				<li><a href="{$baseUrl}/mailtrace">{lc}new_search{/lc}</a></li>
			</ul>
		</div>
		<div id="content">
			<div class="inside">
{* FEHLERTEXT *}
<div style="padding: 20px;">
<h1>Es trat ein Fehler auf</h1>
<p>Bitte teilen Sie die Fehlermeldung den Entwicklern mit. Diese kümmern sich sofort darum.</p>
<p><b>Fehlermeldung: </b>
{$message}</p>
{if isDebug()}
{/if}
{* /FEHLERTEXT *}
			</div>
		</div>
	</div>
</div>

{if isDebug()}
			    <div id="hplsFooterDebug" style="clear:both">
			    	<div class="warning">DEBUG Mode is ON</div>

<h2>DEBUG-Info (nur im Debug-Modus sichtbar)</h2>
	{if isset($exception)}
		<p><b>Exception: </b></p>
		<pre style="align: left">{$exception->getMessage()}</pre>
		<p><b>Stacktrace:</b></p>
		<pre>{$exception->getTraceAsString()}</pre>
	{/if}
	{if isset($request)}
		<p><b>Request: </b></p>
		<pre style="align: left">{print_r($request,true)|htmlspecialchars}</pre>
	{/if}
	{if isset($response)}
		<p><b>Response: </b></p>
		<pre style="align: left">{print_r($response,true)|htmlspecialchars}</pre>
	{/if}
			{if isDebug('view_debug_on_html')}
				{if isset($debugMsg)}
			    {foreach from=$debugMsg item=msg}
			    	<pre>{$msg}</pre>
			    {/foreach}
			    {if isset($sessionData)}
			    	<p>SessionData:</p>
			    	<pre>{$sessionData}</pre>
			    {/if}
			    </div>
			  {/if}
			{/if}
	    {if isDebug('smarty_console')}
	    	{debug}
	    {/if}
{/if}
</body>
</html>