<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : Jan 24, 2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs/Hpls/Consts.php $
 *
 */
/***/
require_once 'Hpls/Consts0.php';
/**
 * Global constants.
 */
interface Hpls_Consts extends 
	Hpls_Consts0 {
	//ACL roles: @see Hpls_Acl
	

	/**
	 * @todo comment
	 * @var unknown_type
	 * @deprecated
	 */
	const INSTALL_CHECK_FILE_MAILAPP = '/var/mailApp/backend/www/index.php';
	/**
	 * @todo comment
	 * @var unknown_type
	 * @deprecated
	 */
	const INSTALL_CHECK_FILE_MAILTRACE = '/opt/heinlein-elements/mailtrace/frontend/application/modules/mailtrace/controllers/IndexController.php';
	/**
	 * @todo comment
	 * @var unknown_type
	 * @deprecated
	 */
	const FILEPATH_CONFIG_MAILAPP_FRONTEND = '/opt/heinlein-elements/appliance/webfront/application/config.ini';
	
	const HPLS_MAIL_ADRESS = 'elements-support+mailtrace@heinlein-support.de';
	
	const ENV_APP_DEV = 'development';
	
	const FILENAME_CONFIG = 'config.ini';
	const FILENAME_CONFIG_APPCOMP = self::FILE_CONFIG_COMPONENT;
	const FILENAME_CONFIG_ACL = 'ACL.ini';
	const FILENAME_CONFIG_USERSETTINGS = 'usersettings.ini';
	
	/* Front controller getParam() keys */
	const FRONTP_OUTTYPE = 'outputtype';
	const FRONTP_OUTTYPE_XML = 'xml';
	const FRONTP_OUTTYPE_PNG = 'png';
	const FRONTP_OUTTYPE_HTML = 'html';
	const FRONTP_OUTTYPE_PDF = 'pdf';
	const FRONTP_OUTTYPE_JSON = 'json';
	
	/* configuration file section names */
	const CFG_SEC_SESSION = 'session';
	
	const CFG_COMP_CONFIG = 'config';
	const CFG_COMP_CONFIGDIR = 'configDir';
	
	const FORM_SUBMIT_SAVE = 'save';
	const FORM_SUBMIT_CANCEL = 'cancel';
	const FORM_REDIRECT = 'backTo';
	
	/**
	 * Key-Name, unter dem das Ergebnis der Constraint-Prüfung im Request als Parameter hinterlegt wird.
	 * @var string
	 */
	const CONSTRAINTS_RESULTS_REQUESTKEY = '__constraints__';

}