<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : 24.09.2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Navigation/Page/Extender.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Zend/Navigation/Page.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.4
 */
class Hpls_Navigation_Page_Extender implements 
	Hpls_Navigation_PageInterface {
	/**
	 * @todo comment
	 * @var Zend_Navigation_Page
	 */
	protected $_toExtend = null;

	public function __construct(Zend_Navigation_Page $wrapped) {
		$this->_toExtend = $wrapped;
	}

	/* (non-PHPdoc)
	 * @see Hpls_Navigation_PageInterface::addResource()
	 */
	public function addResource(Hpls_Var_Clause $resources) {
		if (isset($this->_toExtend->requiredACL)) {
			$acl = $this->_toExtend->requiredACL;
		} else {
			$acl = array();
		}
		foreach ($resources as $resName => $resPrivilege) {
			$acl[] = array(
					$resName => explode(',', $resPrivilege) );
		}
		$this->_toExtend->requiredACL = $acl;
	}

}