<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 28, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/block.block.php $
 *
 */
/**
 *
 */
require_once 'Hpls/View/Consts.php';
require_once 'Hpls/Utils.php';

function smarty_block_block(array $params, &$content, Smarty_Internal_Template &$smarty, &$repeat) {
	if ($repeat) {
		return;
	}
	
	$assign = null;
	$title = null;
	
	try {
		if (!empty($params['title'])/* && $params['title'] != ""*/) {
			$title = $params['title'];
			$controlTitle = Mailapp_View_Utils::trans($title, $smarty);
			$smarty->assign('controlTitle', $controlTitle);
		}
		
		$smarty->assign('controlContent', $content);
		$output = $smarty->fetch('includes/control.tpl');
	
	} catch (Mailapp_Exception_Template $e) {
		$smarty->trigger_error($e->getMessage());
		return;
	}
	
	return $assign ? $smarty->assign($assign, $output) : $output;
}