<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Mar 31, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/function.fieldCal.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 */
/***/
require_once 'Hpls/View/Consts.php';

function smarty_function_fieldCal(array $params, Smarty_Internal_Template &$smarty) {
	$name = $params['name'];
	$id = isset($params['id']) ? $params['id'] : "f_$name";
	$value = $params['value'];
	$readonly = isset($params['readonly']) ? 'readonly="readonly"' : '';
	$class = isset($params['class']) ? $params['class'] : '';
	$imgClass = isset($params['imgClass']) ? $params['imgClass'] : '';
	$style = isset($params['style']) ? ' style="' . $params['style'] . '"' : '';
	$imgStyle = isset($params['imgStyle']) ? ' style="' . $params['imgStyle'] . '"' : ' style="cursor:pointer"';
	
	$imgSrc = $params['img']; //$smarty-> {$baseUrl}/img/calendar.gif"
	$ret = '';
	if (isset($params['label'])) {
		$ret .= "<label for=\"$name\">" . $params['label'] . "</label>";
	}
	
	$ret .= "<input $readonly type=\"text\" class=\"$class\" id=\"$id\" name=\"$name\" $style value=\"$value\"/>";
	$ret .= "<img id=\"f_trigger_$id\" $imgStyle onmouseover=\"this.style.background='red';\" onmouseout=\"this.style.background=''\" src=\"$imgSrc\"/>";
	$ret .= '<script type="text/javascript">';
	$ret .= "Calendar.setup({
        inputField     :    \"$id\"," . // id of the input field
"ifFormat       :    \"%Y-%m-%d %H:%M:%S\"," . // format of the input field
"showsTime      :    true," . // will display a time selector
"button         :    \"f_trigger_$id\"," . // trigger for the calendar (button ID)
"singleClick    :    false," . // double-click mode
"step           :    1," . // show all years in drop-down boxes (instead of every other year as default)
"firstDay       :    1," . "date           :    null});
</script>";
	
	return $ret;
}