<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 25, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/function.headMetas.php $
 *
 */
/**
 *
 */
require_once 'Hpls/View/Consts.php';

function smarty_function_headMetas($params, Smarty_Internal_Template &$smarty) {
	$headVar = $smarty->getVariable(Hpls_View_Consts::HEAD_METAS, null, true, false)->value;
	$ret = '';
	if (is_array($headVar)) {
		foreach ($headVar as $K => $V) {
			if (is_array($V)) {
				$ret .= "\n\t<meta";
				foreach ($V as $paramName => $paramValue) {
					$ret .= " $paramName=\"$paramValue\"";
				}
				$ret .= '/>';
			} else {
				$ret .= "$V";
			}
		}
		return $ret;
	}
	
	return $ret;

}