<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 27, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/function.menu.php $
 *
 */
/**
 *
 */
require_once 'Hpls/View/Consts.php';

function smarty_function_menu($params, Smarty_Internal_Template &$smarty) {
	$ret = '';
	if (empty($params['type'])) {
		return 'Menu: Empty type not allowed';
	}
	$headVar = $smarty->getVariable(Hpls_View_Consts::MENU)->value;
	$menu = $headVar[$params['type']];
	if (empty($menu)) {
		return '';
	}
	if ($params['type'] == Hpls_View_Consts::MENU_TOP) {
		$smarty->assign('menuToGen', $menu);
		$ret .= $smarty->fetch('_includes/topMenu.tpl');
		$smarty->clearAssign('menuToGen');
	} elseif ($params['type'] == Hpls_View_Consts::MENU_LEFT) {
		$smarty->assign('menuToGen', $menu);
		$ret .= $smarty->fetch('_includes/sideMenu.tpl');
		$smarty->clearAssign('menuToGen');
	}
	return $ret;
}