--
-- TOC entry 1757 (class 2604 OID 54119)
-- Dependencies: 1485 1486 1486
-- Name: id; Type: DEFAULT; Schema: public; Owner: mailtrace
--

ALTER TABLE reasons_[[LOCALE]] ALTER COLUMN id SET DEFAULT nextval('reasons_[[LOCALE]]_id_seq'::regclass);

--
-- TOC entry 1773 (class 2606 OID 54124)
-- Dependencies: 1486 1486
-- Name: prid_id_reasons_[[LOCALE]]; Type: CONSTRAINT; Schema: public; Owner: mailtrace; Tablespace: 
--

ALTER TABLE ONLY reasons_[[LOCALE]]
    ADD CONSTRAINT prid_id_t_reasons_[[LOCALE]] PRIMARY KEY (id,id_t);

    
--
-- TOC entry 1775 (class 2606 OID 54126)
-- Dependencies: 1486 1486 1486
-- Name: unique_ruleid_role; Type: CONSTRAINT; Schema: public; Owner: mailtrace; Tablespace: 
--

ALTER TABLE ONLY reasons_[[LOCALE]]
    ADD CONSTRAINT unique_ruleid_role UNIQUE (rule_id, role);


--
-- TOC entry 1777 (class 2606 OID 54127)
-- Dependencies: 1486 1482 1764
-- Name: ref_reasons_[[LOCALE]]_ruleid; Type: FK CONSTRAINT; Schema: public; Owner: mailtrace
--

ALTER TABLE ONLY reasons_[[LOCALE]]
    ADD CONSTRAINT ref_reasons_[[LOCALE]]_ruleid FOREIGN KEY (rule_id,rule_id_t) REFERENCES rule_ids(id,id_t) ON DELETE SET NULL;
    

CREATE TRIGGER update_stamp_reasons_[[LOCALE]] BEFORE INSERT OR UPDATE ON reasons_[[LOCALE]]
    FOR EACH ROW EXECUTE PROCEDURE set_update_time();