<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 28.10.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hmt/Db/Consts.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
interface Hmt_Db_Consts {
	const TABLE_CONNECT = 'connectlog_';
	const TABLE_DELIVER = 'deliverlog_';
	const TABLE_SERVER = 'servers';
	
	const F_C_ID = 'dbid';
	
	const F_C_CLIENT = 'c_client';
	const F_C_CLIENT_IP = 'c_client_ip';
	const F_C_CLIENT_HOST = 'c_client_hostname';
	const F_C_MAILFROM = 'c_mailfrom';
	const F_C_MAILFROM_ADR = 'c_mailfrom_address';
	const F_C_MAILFROM_DOMAIN = 'c_mailfrom_domain';
	
	const F_C_MSG_ID = 'c_messageid';
	const F_C_SIZE = 'c_size';
	const F_C_QUEUE_ID = 'c_queueid';
	const F_C_MXNAME = 'c_server';
	const F_C_TIME = 'c_time';
	const F_C_CREATE_TIME = 'c_utime';
	
	/* deliver */
	const F_D_ID = 'id';
	const F_D_REF_C_ID = 'd_dbid';
	
	const F_D_MAILTO = 'd_mailto';
	const F_D_MAILTO_ADR = 'd_mailto_address';
	const F_D_MAILTO_DOMAIN = 'd_mailto_domain';
	const F_D_ORIGTO = 'd_origto';
	const F_D_ORIGTO_ADR = 'd_origto_address';
	const F_D_ORIGTO_DOMAIN = 'd_origto_domain';
	
	const F_D_STATUS = 'd_status';
	const F_D_REASON = 'd_reason';
	const F_D_RELAYHOST = 'd_relayhost';
	const F_D_QUEUE_ID = 'd_queueid';
	const F_D_TIME = 'd_time';
	const F_D_CREATE_TIME = 'd_utime';
	const F_D_SERVER = 'd_server';
	
	/* server */
	const F_S_ID = 'id';
	const F_S_NAME = 's_name';
	
	const ATTR_S_ID = 'S_ID';
	const ATTR_S_NAME = 'S_Name';
	
}

