<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 08.04.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2012-04-15 16:36:08 +0200 (So, 15. Apr 2012) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9311 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hmt/Reason/EditAbstract.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/**
 */
abstract class Hmt_Reason_EditAbstract {

	public function __construct($values = null) {
		if (is_array($values)) {
			$this->setValues($values);
		}
	}

	public function setValues(array $values) {
		foreach ($values as $k => $v) {
			$this->$k = $v;
		}
	}

	public function __set($k, $v) {
		$this->{strtolower($k)} = $v;
	}

	abstract public function getID();

	public function getEditUrl() {
		$this->id = g;
	}

	public function getDeleteUrl() {
	
	}
}