<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Apr 7, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-04-14 18:54:36 +0200 (Mi, 14. Apr 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 5183 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace/Model/Entry/ServerEntry.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 */
/***/
require_once 'Hpls/Model/Abstract.php';
require_once 'Hpls/Mailtrace/Model/Entry/ServerInterface.php';
/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package Mailtrace
 * @subpackage Model
 * @version $LastChangedRevision: 5183 $
 * @since beta
 *
 */
class Mailtrace_Model_ServerEntry extends Hpls_Model_Abstract implements 
Hpls_Mailtrace_Model_Entry_ServerInterface
{
	public static $ALLOWED_ATTRS = array(self::ATTR_S_ID, self::ATTR_S_NAME);

	public function __construct() {
		parent::__construct(self::$ALLOWED_ATTRS);
	}

	public function __get($varName) {
		return parent::__get($varName);
	}

	public function __set($varName, $value) {
		parent::__set($varName, $value);
	}

	public function getS_ID() {
		return $this->__get(self::ATTR_S_ID);
	}

	public function getS_Name() {
		return $this->__get(self::ATTR_S_NAME);
	}

	public function __toString() {
		$ret = $this->getS_Name();
		return is_null($ret)?'':$ret;
	}
}