<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 18.12.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 *
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Protocol/Factory.php';
/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.7
 */
class Hpls_Protocol {
	
	protected static $_instance = null;
	
	/**
	 * Enter description here ...
	 * @var Hpls_Protocol_PersistenceAbstract
	 */
	protected $_persistenceReader = null;
	/**
	 * Enter description here ...
	 * @var Hpls_Protocol_PersistenceAbstract
	 */
	protected $_persistenceWriter = null;

	/**
	 * @return Hpls_Protocol
	 */
	public static function i() {
		if (is_null(self::$_instance)) {
			self::$_instance = new self();
			self::$_instance->setReader(Hpls_Protocol_Factory::i()->getReader());
			self::$_instance->setWriter(Hpls_Protocol_Factory::i()->getWriter());
		}
		return self::$_instance;
	}

	public function __construct() {
	}

	/**
	 * Enter description here ...
	 * @param Hpls_Protocol_EntryAbstract $entry
	 */
	public function addEntry(Hpls_Protocol_EntryAbstract $entry) {
		$this->_persistenceWriter->writeEntry($entry);
	}

	public function searchEntry(array $search) {
		throw new Hpls_Exception_NotImplemented(__METHOD__);
	}

	public function setReader(Hpls_Protocol_PersistenceAbstract $reader) {
		$this->_persistenceReader = $reader;
	}

	public function setWriter(Hpls_Protocol_PersistenceAbstract $writer) {
		$this->_persistenceWriter = $writer;
	}
}