<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 18.12.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 *
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Zend/Registry.php';
require_once 'Zend/Config.php';
require_once 'Hpls/Protocol/PersistenceAbstract.php';
require_once 'Mailapp/Soap/Proxy.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.7
 */
class Hpls_Protocol_Persistence_Backend extends Hpls_Protocol_PersistenceAbstract {
	
	protected $_proxy;
	protected $_soap;
	protected $_principal;

	public function __construct(Mailapp_Soap_Proxy $soapProxy) {
		if (is_null($soapProxy)) {
			throw new Hpls_Exception_Protocol("soapProxy must not be <null>", 1);
		}
		$this->_proxy = $soapProxy;
	}

	protected function getProxy() {
		return $this->_proxy;
	}

}